aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flake8-copyright/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2015-01-23 20:01:49 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2015-03-11 14:33:16 +0000
commit7eeb9944b96b2ed453a8ccae0ccc5b66a14839e2 (patch)
treeba09877349f1b29303e9790c5257efbcea0fa262 /testing/py-flake8-copyright/APKBUILD
parent1e4f5f08be85dc525d9d35e265cb4dc321989fad (diff)
downloadaports-7eeb9944b96b2ed453a8ccae0ccc5b66a14839e2.tar.gz
aports-7eeb9944b96b2ed453a8ccae0ccc5b66a14839e2.tar.bz2
aports-7eeb9944b96b2ed453a8ccae0ccc5b66a14839e2.tar.xz
testing/py-flake8-copyright: new aport
Adds copyright checks to flake8 https://github.com/savoirfairelinux/flake8-copyright
Diffstat (limited to 'testing/py-flake8-copyright/APKBUILD')
-rw-r--r--testing/py-flake8-copyright/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flake8-copyright/APKBUILD b/testing/py-flake8-copyright/APKBUILD
new file mode 100644
index 0000000000..d14719654c
--- /dev/null
+++ b/testing/py-flake8-copyright/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flake8-copyright
+_pkgname=flake8-copyright
+pkgver=0.1
+pkgrel=0i
+pkgdesc="Extension for flake8 which checks for copyrights"
+url="https://github.com/savoirfairelinux/flake8-copyright"
+arch="noarch"
+license="MIT"
+depends="python py-flake8"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="8fab17d27f0b417c44ea0bebf579d71b flake8-copyright-0.1.tar.gz"
+sha256sums="34cba5411ef3f677b7ba8d7b063493c9ed5af9985b2da77807be94bf9e65823b flake8-copyright-0.1.tar.gz"
+sha512sums="c1ef4b8ad4bd422b629ec481074256d33ca4c8e8f10c7a7da6619b01c18ccf6f8a86bf6c7ce4d73f29a93e0f23797c1a356abcf242e9f556b979b75e3a8bfe46 flake8-copyright-0.1.tar.gz"